Subject: Re: [Pce] New Version Notification for draft-zhang-pce-resource-sharing-03.txt

From: "BELOTTI, SERGIO (SERGIO)" <[email-masked]>
Date: Mon, 16 Mar 2015 15:47:59 +0000

Hello Haomian,
I would have some comments/clarification on the updated part of this draft.

Section 2.2
I have some problem with your last part of the session:
" During this procedure higher-layer PCE can only use LSP1 information 
   (such as its five-tuple LSP information) as the information, an 
   issue to solve is how lower-layer PCE can resolve this information 
   to the actual resource usage in its own layer, i.e. lower layer. 
   This could be solved by edge LSR L1 reporting this higher-lower 
   layer LSP correlation to the lower-layer PCE as part of the LSP 
   information during the LSP state synchronization process. If needed, 
   it can be later updated when there is a change in this information. 
   Alternatively, the lower-layer PCE can get this information from 
   other sources, such as network management system, where this 
   information should be stored."

Questions:
a) what LSP1 information are you referring ? which tuple? H1-H2-H3-H4-H5 ?
b) What issue has to solve the Lo PCE ?I sit not the Hi PCE indicating entry and exit point at lower layer as for RFC 5623 session 3.2?
c) Could you elaborate a little this mapping problem you mention?
 
" The process would be similar to that 
   of the previous scenario. A point worth noting is that the border 
   LSR node may be able to resolve the higher layer LSP information 
   itself, such as mapping it to the corresponding LSP in the lower 
   layer, in this way lower-layer PCE does not need to perform this 
function. Otherwise, the mapping method mentioned above can still be 
   used. "

Question:
a)What mapping method are you referring to ? Not clear whether and how you indicate to solve the problem.

Thanks a lot

BR
Sergio

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of Zhenghaomian
Sent: venerdì 27 febbraio 2015 07:53
To: [email-masked]
Subject: [Pce] 转发: New Version Notification for draft-zhang-pce-resource-sharing-03.txt

Dear PCEers,

We update the draft on PCE for resource sharing according to some offline comments, following changes are included in the updated version; 

- Use Case 2 is modified to describe the inter-layer resource sharing scenario; 
- Specify resource sharing as a possible policy during path computation; 
- Correct the semantic meaning of D and R bits in Section 5.2; 
- Editorial changes; 

Your review comments are most welcome. Thanks.

Best wishes,
Haomian

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2015年2月27日 14:39
收件人: Oscar Gonzalez de Dios; Zhenghaomian; Victor Lopez; Zhangxian (Xian); Zhangxian (Xian); Oscar Gonzalez de Dios; Victor Lopez; Zhenghaomian
主题: New Version Notification for draft-zhang-pce-resource-sharing-03.txt

A new version of I-D, draft-zhang-pce-resource-sharing-03.txt
has been successfully submitted by Haomian Zheng and posted to the IETF repository.

Name:		draft-zhang-pce-resource-sharing
Revision:	03
Title:		Extensions to Path Computation Element Protocol (PCEP) to Support Resource Sharing-based Path Computation
Document date:	2015-02-27
Group:		Individual Submission
Pages:		14
URL:            http://www.ietf.org/internet-drafts/draft-zhang-pce-resource-sharing-03.txt
Status:         https://datatracker.ietf.org/doc/draft-zhang-pce-resource-sharing/
Htmlized:       http://tools.ietf.org/html/draft-zhang-pce-resource-sharing-03
Diff:           http://www.ietf.org/rfcdiff?url2=draft-zhang-pce-resource-sharing-03

Abstract:
   Resource sharing in a network means two or more Label Switched Paths
   (LSPs) use common piece(s) of resource along their paths. This can
   help save network resource and useful in scenarios such as LSP
   recovery or when two LSPs do not need to be active at the same time.
   A Path Computation Element (PCE) is a centralized entity,
   responsible for path computation. Given this feature and its access
   to the network resource information and possibly active LSPs
   information, it can be used to support resource-sharing-based path
   computation with better efficiency.

   This document extends the Path Computation Element Protocol (PCEP)
   in order to support resource sharing-based path computation.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce